<?php
/* 
	 Plugin Name: Frases positivas
	 Plugin URI: https://avalos.sv
	 Description: Frases positivas para el escritorio de WordPress.
	 Version: 1.0.0
	 Author: Alex Ávalos
	 Author URI: https://avalos.sv
	 License: GPL 2+ 
	 License URI: https://avalos.sv
*/ 

function hello_dolly_get_lyric() {
	/** These are the lyrics to Hello Dolly */
	$lyrics = "La vida empieza cada cinco minutos
Encontrarás significado en la vida si lo creas
Donde una puerta se cierra, otra se abre
Fueron semillas mis errores
Si la vida te da un limón, haz limonada
La felicidad no es algo hecho
La gente positiva cambia el mundo
Todo puede tener belleza, aún lo más horrible
Enamórate de tu existencia
Nunca eres demasiado viejo para soñar
No llores porque se acabó, sonríe porque sucedió
Seamos realistas y hagamos lo imposible
La paciencia es amarga, pero su fruto es dulce";

	// Here we split it into lines.
	$lyrics = explode( "\n", $lyrics );

	// And then randomly choose a line.
	return wptexturize( $lyrics[ mt_rand( 0, count( $lyrics ) - 1 ) ] );
}

// This just echoes the chosen line, we'll position it later.
function hello_dolly() {
	$chosen = hello_dolly_get_lyric();
	$lang   = '';
	if ( 'en_' !== substr( get_user_locale(), 0, 3 ) ) {
		$lang = ' lang="en"';
	}

	printf(
		'<p id="dolly"><span class="screen-reader-text">%s </span><span dir="ltr"%s>%s</span></p>',
		__( 'Frases de varias autores, sacadas de Google:', 'hello-dolly' ),
		$lang,
		$chosen
	);
}

// Now we set that function up to execute when the admin_notices action is called.
add_action( 'admin_notices', 'hello_dolly' );

// We need some CSS to position the paragraph.
function dolly_css() {
	echo "
	<style type='text/css'>
	#dolly {
		float: right;
		padding: 5px 10px;
		margin: 0;
		font-size: 12px;
		line-height: 1.6666;
	}
	.rtl #dolly {
		float: left;
	}
	.block-editor-page #dolly {
		display: none;
	}
	@media screen and (max-width: 782px) {
		#dolly,
		.rtl #dolly {
			float: none;
			padding-left: 0;
			padding-right: 0;
		}
	}
	</style>
	";
}

add_action( 'admin_head', 'dolly_css' );
